curl --request GET \
--url 'https://api.stateset.com/api/v1/warehouse-bins' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"bins": [
{
"aisle": "string",
"bin_type": "string",
"capacity": "San Francisco",
"code": "string",
"created_at": "2026-08-31T14:22:05Z",
"id": 1001,
"is_active": true,
"position": "string",
"rack": "string",
"shelf": "string",
"updated_at": "2026-08-31T14:22:05Z",
"warehouse_id": 1001,
"zone": "string"
}
],
"total": 102
}
List bins
List bins
GET
/
api
/
v1
/
warehouse-bins
curl --request GET \
--url 'https://api.stateset.com/api/v1/warehouse-bins' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"bins": [
{
"aisle": "string",
"bin_type": "string",
"capacity": "San Francisco",
"code": "string",
"created_at": "2026-08-31T14:22:05Z",
"id": 1001,
"is_active": true,
"position": "string",
"rack": "string",
"shelf": "string",
"updated_at": "2026-08-31T14:22:05Z",
"warehouse_id": 1001,
"zone": "string"
}
],
"total": 102
}
Query parameters
integer (int32)
string
string
boolean
integer (int32)
integer (int32)
Response
BinListResponse
BinResponse[]
required
integer (int64)
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
400 | — |
curl --request GET \
--url 'https://api.stateset.com/api/v1/warehouse-bins' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"bins": [
{
"aisle": "string",
"bin_type": "string",
"capacity": "San Francisco",
"code": "string",
"created_at": "2026-08-31T14:22:05Z",
"id": 1001,
"is_active": true,
"position": "string",
"rack": "string",
"shelf": "string",
"updated_at": "2026-08-31T14:22:05Z",
"warehouse_id": 1001,
"zone": "string"
}
],
"total": 102
}
Last modified on August 31, 2026